# Class CIM_CertificateManagementCapabilities
extends CIM_CredentialManagementCapabilities

CIM_CertificateManagementCapabilities describes the capabilities of the associated CIM_CertificateManagementService instance(s).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_CredentialManagementCapabilities
|
+--CIM_CertificateManagementCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_CertificateManagementCapabilities describes the capabilities of the associated CIM_CertificateManagementService instance(s).
UMLPackagePath | string | CIM::User::SecurityServices
Version | string | 2.29.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AsymmetricKeyGeneration | boolean |
Description | string | AsymmetricKeyGeneration property represents the capability of the instrumentation to generate asymmetric public/private key pair.
InputFormatsSupported | uint16[] |
Description | string | The InputFormatsSupported represents the supported input formats for the certificate(s) and Certificate Revocation List by the methods in the associated CIM_CertificateManagementService instance(s).
ValueMap | string | 2, 3, 4, 5, .., 32768..65535
Values | string | DER, PEM, PKCS7, PKCS12, DMTF Rserved, Vendor Reserved
KeyAlgorithmSupported | uint16[] |
Description | string | If the AsymmetricKeyGeneration is TRUE, this property specifies the possible key algorithms that are supported by the methods that generate public/private key pairs in the associated CIM_CertificateManagementService instance(s).
ValueMap | string | 2, 3, 4, .., 32768..65535
Values | string | RSA, DSA, ECDSA, DMTF Rserved, Vendor Reserved
OutputFormatsSupported | uint16[] |
Description | string | The OutputFormatsSupported represents the supported output formats for the certificate(s) and Certificate Revocation List by the methods in the associated CIM_CertificateManagementService instance(s).
ValueMap | string | 2, 3, 4, 5, .., 32768..65535
Values | string | DER, PEM, PKCS7, PKCS12, DMTF Rserved, Vendor Reserved
SupportedMethods | uint16[] |
Description | string | Each enumeration corresponds to support for the like-named method of the associated CIM_CertificateManagementService instance(s) for the exception of "DeleteCredentialInstance" that refers to the capability of executing delete operation on the instances of the CIM_Credential subclasses.
Override | string | SupportedMethods
ValueMap | string | 2, 3, 4, 101, 102, 103, 104, 105, 106, 107, .., 0x8000..
Values | string | ImportPublicPrivateKeyPair, CreateKeystore, DeleteCredentialInstance, CreatCertificateSigningRequest, CreateSelfSignedCertificate, ImportEncodedCertificates, ImportCertificates, ExportEncodedCertificate, ApplyCRL, ApplyDecodedCRL, DMTF Reserved, Vendor Specific
SupportedSignatureAlgorithms | uint16[] |
Description | string | The SupportedSignatureAlgorithms represents the supported signature algorithms for the certificate(s) and Certificate Revocation List by the methods in the associated CIM_CertificateManagementService instance(s). This property covers the algorithms specified in the RFC3279.
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 1920..32767, 32768..65535
Values | string | Other, SHA1withDSA, SHA1withECDSA, SHA224withECDSA, SHA256withECDSA, SHA384withECDSA, SHA512withECDSA, GOST3411withGOST3410, GOST3411withECGOST3410, MD2withRSA, MD5withRSA, SHA1withRSA, SHA224withRSA, SHA256withRSA, SHA384withRSA, SHA512withRSA, RIPEMD160withRSA, RIPEMD128withRSA, RIPEMD256withRSA, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CumulativePrivilegeMethodology | uint16 | CIM_CredentialManagementCapabilities
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods